| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::deci Class Reference
API

decimal class, convert infinint from and to decimal represention More...

`#include <deci.hpp>`

## Public Member Functions
| deci (std::string s)
| deci (const infinint &x)
| constructor to build a "deci" from an infinint
| deci (const deci &ref)
| copy constructor
| deci (deci &&ref) noexcept
| move constructor
deci & | operator= (const deci &ref)
| assignment operator
deci & | operator= (deci &&ref) noexcept
| assignment move operator
| ~deci ()
| destructor
infinint | computer () const
| this produce a infinint from the decimal stored in the current object
std::string | human () const
| this produce a string from the decimal stored in the current object
| deci (std::string s)
| deci (const infinint &x)
| constructor to build a "deci" from an infinint
| deci (const deci &ref)
| copy constructor
| deci (deci &&ref) noexcept
| move constructor
deci & | operator= (const deci &ref)
| assignment operator
deci & | operator= (deci &&ref) noexcept
| assignment move operator
| ~deci ()
| destructor
infinint | computer () const
| this produce a infinint from the decimal stored in the current object
std::string | human () const
| this produce a string from the decimal stored in the current object

## Private Member Functions
void | detruit ()
void | copy_from (const deci &ref)
void | reduce ()
void | detruit ()
void | copy_from (const deci &ref)
void | reduce ()

## Private Attributes
storage * | decimales

## Detailed Description

decimal class, convert infinint from and to decimal represention

the class contains the decimal representation of an integer and can produce a readable string to display the corresponding integer it can also produce a computer value corresponding to the decimal value. In the other side, objects of this class can be built from a integer as well as from a string representing the decimals of an integer.

Definition at line 50 of file dar64-2.8.3-win64/include/dar/deci.hpp.

## Constructor & Destructor Documentation

## ◆ deci() [1/6]

libdar::deci::deci | ( | std::string | s | ) |

constructor to build a "deci" object from a string representing decimals

Note
  may throw Edeci exception if the given string does not correspond to a positive integer in decimal notation

Referenced by deci(), deci(), human(), operator=(), and operator=().

## ◆ deci() [2/6]

libdar::deci::deci | ( | const deci & | ref | ) |
| inline

copy constructor

Definition at line 62 of file dar64-2.8.3-win64/include/dar/deci.hpp.

References deci().

## ◆ deci() [3/6]

libdar::deci::deci | ( | deci && | ref | ) |
| inline noexcept

move constructor

Definition at line 65 of file dar64-2.8.3-win64/include/dar/deci.hpp.

References deci().

## ◆ ~deci() [1/2]

libdar::deci::~deci | ( |  | ) |
| inline

destructor

Definition at line 74 of file dar64-2.8.3-win64/include/dar/deci.hpp.

## ◆ deci() [4/6]

libdar::deci::deci | ( | std::string | s | ) |

constructor to build a "deci" object from a string representing decimals

Note
  may throw Edeci exception if the given string does not correspond to a positive integer in decimal notation

## ◆ deci() [5/6]

libdar::deci::deci | ( | const deci & | ref | ) |
| inline

copy constructor

Definition at line 62 of file src/libdar/deci.hpp.

References deci().

## ◆ deci() [6/6]

libdar::deci::deci | ( | deci && | ref | ) |
| inline noexcept

move constructor

Definition at line 65 of file src/libdar/deci.hpp.

References deci().

## ◆ ~deci() [2/2]

libdar::deci::~deci | ( |  | ) |
| inline

destructor

Definition at line 74 of file src/libdar/deci.hpp.

## Member Function Documentation

## ◆ operator=() [1/4]

deci & libdar::deci::operator= | ( | const deci & | ref | ) |
| inline

assignment operator

Definition at line 68 of file dar64-2.8.3-win64/include/dar/deci.hpp.

References deci().

## ◆ operator=() [2/4]

deci & libdar::deci::operator= | ( | const deci & | ref | ) |
| inline

assignment operator

Definition at line 68 of file src/libdar/deci.hpp.

References deci().

## ◆ operator=() [3/4]

deci & libdar::deci::operator= | ( | deci && | ref | ) |
| inline noexcept

assignment move operator

Definition at line 71 of file dar64-2.8.3-win64/include/dar/deci.hpp.

References deci().

## ◆ operator=() [4/4]

deci & libdar::deci::operator= | ( | deci && | ref | ) |
| inline noexcept

assignment move operator

Definition at line 71 of file src/libdar/deci.hpp.

References deci().

## Member Data Documentation

## ◆ decimales

storage * libdar::deci::decimales
| private

Definition at line 84 of file dar64-2.8.3-win64/include/dar/deci.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/deci.hpp
- src/libdar/deci.hpp